#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x8fbd51ac, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x03170d39, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x2f418500, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xeca596dd, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x2f34a558, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xbd377ad1, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x944c0a21, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xc6402e04, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xd10e0a91, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xed3e5829, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x5485e0fc, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x0328e424, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xfc2881c2, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x24fb28aa, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x77d8a4ba, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x599aa680, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x96db1bdc, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x5ea56031, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x16dd190b, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xe28ac09d, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x77e00c31, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xba9c2c9d, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xff4880f1, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x418d74c6, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xd474e8e3, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x8da124f0, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xec9fbb83, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x9344021a, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x82eac652, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xbadb2a19, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xc731116a, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x38a65089, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xe2aa9006, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x4b1b570e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xc59e555f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x36e47f00, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x3ea5828b, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xc18d4fe0, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xa3f80fb8, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x09dfacce, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x92833c7a, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xd2dd65d1, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x93b9fff9, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xb606db60, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x4e00b8ca, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x17279626, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5802ded9, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x7f42c7d8, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xcba3469d, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x473e8eeb, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xfbcedca7, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x69cb5d6e, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x8e91c370, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x91dc22c3, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xfe44c8a0, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x03cfdada, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xac445bbf, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x323369f1, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x8028c430, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x5dfe0352, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x4d326adb, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x01e4e593, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x0b070ad6, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x82b4169a, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x458de5ff, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xf77293ec, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x53439f80, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x696fb859, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x855890bb, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xaa951dca, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x15b729bb, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x234045cf, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xce65f556, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xa99829ed, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xcb14a721, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xeba031da, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x370ae36d, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x0bcae4c4, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x3e88841a, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xb2ab0c46, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xcd1f9fbf, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xeb9fee8d, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xdd48ba4c, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x1c101341, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x27842ec2, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x98bdadc4, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x3c71734d, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x8ecf7b23, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x0e3c3845, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x2dc4fe8a, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x2ced7183, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88ab66b0, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xbb41a67d, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1178db45, "bpf_trace_run4" },
	{ 0x1d4cc4c4, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe31531dd, "dev_set_name" },
	{ 0xc0473d81, "param_ops_ushort" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe50b3e3b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x90a4ff67, "cdev_device_del" },
	{ 0x3fb074fc, "bpf_trace_run6" },
	{ 0x311cac07, "pci_doe" },
	{ 0x9471263f, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf1a8e430, "trace_event_printf" },
	{ 0x8f2fefb0, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xa7bab77f, "device_initialize" },
	{ 0x7d4b6d9c, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe0e84b98, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe46dbfac, "bpf_trace_run2" },
	{ 0x6b19daba, "event_triggers_call" },
	{ 0x9696ba52, "devm_remove_action" },
	{ 0xf40a8ec7, "get_device" },
	{ 0x3f331802, "__dynamic_dev_dbg" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7552e399, "platform_bus" },
	{ 0x717db1ef, "dev_driver_string" },
	{ 0x68bb5f0c, "trace_event_buffer_commit" },
	{ 0x68e94639, "pci_read_config_dword" },
	{ 0x85e218b7, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2996785, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x3c98ed7b, "put_device" },
	{ 0x6a42acbc, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0x3e8f100e, "bus_for_each_dev" },
	{ 0x87c2622, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf6204194, "compat_ptr_ioctl" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3edac464, "perf_trace_run_bpf_submit" },
	{ 0x1af8ea16, "sysfs_update_group" },
	{ 0x3ead4124, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xe976537d, "devm_kfree" },
	{ 0x2e5af0d9, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x688a0085, "debugfs_create_bool" },
	{ 0x4ecfb156, "bus_find_device" },
	{ 0xe404880e, "device_add" },
	{ 0x8e94f1ac, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x2f27dea9, "noop_llseek" },
	{ 0x4976cc03, "bpf_trace_run5" },
	{ 0x7a7feeb8, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x90076768, "kernfs_find_and_get_ns" },
	{ 0xa58d04a4, "debugfs_remove" },
	{ 0xb43cdea2, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x231f738e, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x7503578d, "driver_unregister" },
	{ 0x650f8eea, "pcie_link_speed_mbps" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb09a446a, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x5743079a, "devm_release_action" },
	{ 0x25849523, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x6b3916a8, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc345cad3, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x99e2810e, "bpf_trace_run3" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xdc437c39, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5638f82, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x34844dcd, "kernfs_put" },
	{ 0x2781707c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb5791a3, "seq_printf" },
	{ 0xc9a448d7, "device_match_name" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x2f88dd, "pci_walk_bus" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x8d8809c, "__devm_add_action" },
	{ 0x55a380d1, "pci_find_dvsec_capability" },
	{ 0x956d737d, "device_find_child_by_name" },
	{ 0x2e8bf9d7, "device_release_driver" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe391ef25, "pci_write_config_word" },
	{ 0x1f9d0dbd, "debugfs_create_dir" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xe9816318, "pcie_bandwidth_available" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5b1cda43, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x766c67b6, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x723c219, "pci_bus_type" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x62ceee3d, "bus_register" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BA245F10205AD36E609F3FC");
MODULE_INFO(rhelversion, "9.6");
