#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x6f06337d, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x1906358e, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x80d7a230, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xdd38cd33, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xfdd0ece1, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xe63c64b7, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xf83c257d, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xe8c2436d, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xc9a1213e, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xfa225ebd, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xbdd79fe2, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x666a38ca, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x061daae5, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x93ea2ba8, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x804c929a, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x9439a0ba, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x746fc2cb, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xb38923ce, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x984fa8e8, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xbb22a1f6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xf8990807, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xcf7f2e69, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x4e78098c, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xab944cbe, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xd97dfcdb, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xbdaabed7, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x95bd80c4, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xbba842d0, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x8f24a687, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x85b47f69, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x1da06cd8, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x9b32c43f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xe320f441, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x5f3ca67c, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x104e5e82, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x7afe66fd, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x902199dd, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x5ba25c28, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x31db98e0, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x5c5563c6, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x01629a59, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x8103fb3d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xfa3d2929, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xd3c8b9d6, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x36efe78d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xcb1d1b58, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xc8c5e559, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc49a31b9, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x4b56d0f9, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x3972bdb7, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x3830b323, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xeb1baf9e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x40c7882f, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x87086473, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x5910b3f9, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xaff1b27b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x4c44153c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x7cd7394b, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x86e5ddb0, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x0906acc7, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x94b25390, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x05ce400a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xbd6a9e89, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xb47b6cd4, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xaec7fe4e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x316c290a, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x4e52b620, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xccd3d8a2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xe1119322, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x7f167009, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x0b1e24dc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x894011f6, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x3242ca0c, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd1e02da5, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x116fc4f3, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x2c0760c6, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x2acd6494, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x196d7970, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xd692692f, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xccbceebb, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x891421ea, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x9c9f185d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc905f3fa, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xcf1ddcc5, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xfb9276be, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x6e6abce0, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xc3232cb0, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x65772269, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xc9e444cd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x29d1447c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd9182cfd, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x61881891, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x180e2450, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x3befa895, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x75598b68, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xc4c83877, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x482b5f18, "");
SYMBOL_CRC(drm_fb_swab, 0x95b32893, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x2638b055, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x60cc6b72, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x380db9d6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xdc45d79c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x058e18ad, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x1dbccf27, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xcc6eed1a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xbcf5b019, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x42813760, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xb33fdbc2, "");
SYMBOL_CRC(drm_fb_blit, 0xa1aceb5a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xb752e41d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x0ca18e7e, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xd3cc68b0, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xb86f44c3, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xe069b03b, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x6ed81c99, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xce31bba0, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xb0226871, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x975690c9, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x0e4ab97c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x7f2d9f17, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xa112da74, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xabd404bc, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xfcf773db, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x2a5ad62f, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x7aef5c7e, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x80910d85, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xb08cf826, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xd940d9f0, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xd820fe7f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xaf2b738e, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x62cae7c3, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x7049d5d0, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x41ea37cb, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x6992d43d, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x3135ece3, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x07237353, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xaa6e5bd3, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xf1c91dd6, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xaa4f4b60, "");
SYMBOL_CRC(drm_crtc_init, 0x8d40e116, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x0c4ab67f, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xc78579ff, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x888f474d, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x0085b02d, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x6c08b067, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x97f51571, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xd7a444a5, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x990d4277, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x23887ae7, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xa02e3c78, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x3136a9e2, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x49c74ce4, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x00013dc1, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xbf73c1e5, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xfb32d4e3, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x66ed7b4b, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x6dedc593, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x5a043882, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x3a21a0b7, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0af7e88b, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x31eed2e9, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xbfff1e54, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x71f85661, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x2daba49e, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xafd0f04a, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x2b6d6864, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xd0fc5037, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x840425cc, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xc98f5b5e, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x7b82ab12, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xc3ef1790, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x1970e768, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x57c574dc, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xa9c76958, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf5695d5a, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xa63352e3, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xc3212a75, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x433e4630, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x8559f4a2, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x953c9540, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x0ff61f83, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xce721da9, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xdb4c4e00, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xe56be7ed, "");
SYMBOL_CRC(drm_fb_helper_init, 0xfb36c1a7, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xbc4d6b94, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xbbea5b1a, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xf500de29, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x1cd296f0, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x60e9b4cc, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x29ac62f4, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xc8490301, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x51cfc785, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xab19b99e, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xf9dbf084, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x3adaf650, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xef962618, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x21246d1d, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xb2a4aa06, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x88635994, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x203a2814, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x7bad5962, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xe1d79edd, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x9ad9f29a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d56b819, "unregister_framebuffer" },
	{ 0xe8204431, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x490fe301, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8aed6528, "drm_client_register" },
	{ 0x8f6e2f2e, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0xa5ffbf27, "drm_panel_get_modes" },
	{ 0x5d588123, "drm_gem_vmap_unlocked" },
	{ 0xfea639fa, "try_module_get" },
	{ 0x1cc51a00, "drm_connector_list_update" },
	{ 0x60fcf445, "drm_bridge_add" },
	{ 0x3f6c0c20, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x4e6c2e93, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x1d4cc4c4, "devm_kmalloc" },
	{ 0xcca22ac7, "drm_client_rotation" },
	{ 0x2bcac439, "drm_client_buffer_vmap" },
	{ 0x2e32f1b, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x198dc960, "drm_framebuffer_init" },
	{ 0x7b0ca261, "drm_mode_validate_driver" },
	{ 0x9388d842, "drm_atomic_add_affected_planes" },
	{ 0x35ddf980, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1f148bcf, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb085b0f4, "drm_mode_probed_add" },
	{ 0x5355e190, "drm_atomic_add_affected_connectors" },
	{ 0x125092c5, "drm_gem_vunmap_unlocked" },
	{ 0x224ff9fc, "drm_bridge_hpd_enable" },
	{ 0xfdd5c9af, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xcb79864d, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x67545daa, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x5e524677, "drm_client_framebuffer_create" },
	{ 0x9ac97f4b, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4cb9389f, "drm_mode_object_get" },
	{ 0x3f42a2aa, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xfc6cd47c, "drm_driver_legacy_fb_format" },
	{ 0xd870e3fc, "drm_crtc_cleanup" },
	{ 0x312bb74b, "drm_connector_list_iter_begin" },
	{ 0x3114ce8, "fb_deferred_io_init" },
	{ 0x3a764361, "drm_mode_set_config_internal" },
	{ 0x4f55b408, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x999ab3b4, "framebuffer_alloc" },
	{ 0xb08181e2, "drm_encoder_cleanup" },
	{ 0x2ae9de8f, "drm_connector_unregister" },
	{ 0x477e2075, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x949ef0ff, "drm_client_modeset_probe" },
	{ 0x663a62d3, "drm_warn_on_modeset_not_all_locked" },
	{ 0x646d3a71, "drm_plane_get_damage_clips" },
	{ 0xf84a8ed4, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xc82784c6, "drm_add_modes_noedid" },
	{ 0x4b4e2fa9, "drm_bridge_remove" },
	{ 0x53505790, "drm_mode_object_put" },
	{ 0x717db1ef, "dev_driver_string" },
	{ 0x19fac8cb, "drm_crtc_vblank_get" },
	{ 0x743fbac0, "drm_gem_object_lookup" },
	{ 0xf14893, "drm_crtc_send_vblank_event" },
	{ 0xe78e77b5, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x7712a910, "fb_sys_write" },
	{ 0x5af2ee95, "drm_atomic_normalize_zpos" },
	{ 0xe5e0d1c8, "drm_edid_connector_update" },
	{ 0xdc8e7993, "drm_sysfs_hotplug_event" },
	{ 0x6dc91464, "drm_bridge_hpd_disable" },
	{ 0x786cf161, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x93e2444a, "__drmm_add_action_or_reset" },
	{ 0xe66d1a4a, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x6f5df430, "sys_fillrect" },
	{ 0x24a8c041, "drm_connector_list_iter_end" },
	{ 0xf6592ff8, "drm_atomic_set_crtc_for_plane" },
	{ 0x9cc0d3f3, "drm_bridge_edid_read" },
	{ 0x8aa35bbe, "drm_client_modeset_dpms" },
	{ 0xf914b70c, "drm_mode_prune_invalid" },
	{ 0xc0c89eaf, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x65721315, "_dev_info" },
	{ 0x765b3baa, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x9b8f3412, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xe8f547d7, "module_put" },
	{ 0x641b8d45, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xa7f8d979, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6973b5e6, "drm_client_init" },
	{ 0x47d87965, "drm_crtc_wait_one_vblank" },
	{ 0x468d68fe, "drm_crtc_next_vblank_start" },
	{ 0xc9939ca9, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x829fa72a, "drm_modeset_lock" },
	{ 0xdbb96f8f, "drm_client_modeset_commit_locked" },
	{ 0x6b1c5b1a, "drm_modeset_unlock" },
	{ 0xa5b11dba, "drm_panel_disable" },
	{ 0x52d066a4, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf0a54e50, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe976537d, "devm_kfree" },
	{ 0x2e5af0d9, "_dev_err" },
	{ 0x6ada5f92, "drm_writeback_cleanup_job" },
	{ 0x45f85969, "drm_modeset_lock_all_ctx" },
	{ 0x40e95db6, "i2c_unregister_device" },
	{ 0xe3ada3b8, "drm_atomic_set_fb_for_plane" },
	{ 0x29b064f9, "__drm_universal_plane_alloc" },
	{ 0x2c4cfc5d, "drm_connector_init_with_ddc" },
	{ 0x8bcb861d, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4cac67e1, "__devres_alloc_node" },
	{ 0xa813469c, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xeaeccc21, "drm_crtc_commit_wait" },
	{ 0xb8bf3957, "drm_dev_has_vblank" },
	{ 0x478851ee, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x9391bb50, "__drm_atomic_helper_disable_plane" },
	{ 0xe03f1b44, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6952332b, "drm_gem_handle_create" },
	{ 0xa6b9aaa4, "drm_atomic_set_crtc_for_connector" },
	{ 0x1c38332e, "drm_analog_tv_mode" },
	{ 0x883f43fd, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xaacdcf16, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xfd90ee81, "drm_crtc_vblank_put" },
	{ 0xd1805d3e, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x40934b2b, "__drm_dev_dbg" },
	{ 0xdb40702c, "drm_plane_get_damage_clips_count" },
	{ 0x19f0fe23, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x8ba04a6, "fb_deferred_io_mmap" },
	{ 0xd3fed2d1, "drm_atomic_state_alloc" },
	{ 0xf36d070d, "drm_client_modeset_commit" },
	{ 0x6b3916a8, "_dev_warn" },
	{ 0x190aeddd, "drm_atomic_bridge_chain_post_disable" },
	{ 0xbe355541, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x2ce8605e, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xe272ec23, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x76165919, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x36eec588, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xf8d7d92, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x64df6fcd, "drm_get_format_info" },
	{ 0xc5481a0, "drm_connector_cleanup" },
	{ 0x31de0d38, "drm_universal_plane_init" },
	{ 0x800681de, "drm_any_plane_has_format" },
	{ 0x36964841, "sys_copyarea" },
	{ 0x52d897db, "drm_connector_list_iter_next" },
	{ 0x16ded5b, "drm_modeset_acquire_fini" },
	{ 0x31844911, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0xf19e5ae4, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x353e912a, "param_ops_bool" },
	{ 0xc360f73c, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3be466e0, "drm_modeset_backoff" },
	{ 0xc7f03885, "drm_panel_prepare" },
	{ 0x2ec6f0e6, "drm_bridge_chain_mode_set" },
	{ 0x93def3fe, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xf0036e6e, "fb_sys_read" },
	{ 0xc90f1f32, "drm_atomic_get_plane_state" },
	{ 0xd5b97e72, "drm_atomic_bridge_chain_check" },
	{ 0xc19effef, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x7fadf9d3, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb8822a3a, "drm_property_blob_put" },
	{ 0xf6c33d1b, "drm_mode_destroy" },
	{ 0xa0a434a9, "drm_bridge_attach" },
	{ 0x5e80db38, "drm_set_preferred_mode" },
	{ 0xa00e4d8b, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x8dddd6a, "drm_atomic_state_clear" },
	{ 0xeaedfc7c, "drm_mode_config_reset" },
	{ 0x6831b371, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x574a5dac, "drm_modeset_drop_locks" },
	{ 0x6f7db07f, "fwnode_handle_put" },
	{ 0x1617a40d, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x176255ec, "drm_atomic_bridge_chain_disable" },
	{ 0x865b3ef, "drm_mode_create_from_cmdline_mode" },
	{ 0xa4066d9d, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x84cc8b39, "param_ops_int" },
	{ 0x4e5cfdac, "drm_atomic_nonblocking_commit" },
	{ 0x1f9d0dbd, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x5b9f4085, "drm_master_internal_release" },
	{ 0x42ae98bf, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x1e572f3f, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x5624ba54, "drm_atomic_add_encoder_bridges" },
	{ 0x9ed76c04, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x827242f6, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "273091B691F8FE35EB403A7");
MODULE_INFO(rhelversion, "9.6");
