#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0xcb30aaf8, "");
SYMBOL_CRC(iw_cm_disconnect, 0x3720b877, "");
SYMBOL_CRC(iw_destroy_cm_id, 0x8e742499, "");
SYMBOL_CRC(iw_cm_listen, 0xfcfc94c7, "");
SYMBOL_CRC(iw_cm_reject, 0xe700dc3d, "");
SYMBOL_CRC(iw_cm_accept, 0x683843c1, "");
SYMBOL_CRC(iw_cm_connect, 0xe5953fee, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0x30283cb7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x463af6ee, "ibnl_put_msg" },
	{ 0xa851e230, "register_net_sysctl" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0x26cac303, "__nla_validate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd566933c, "up" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x25de78b, "rdma_nl_unicast" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5b69cab5, "rdma_nl_multicast" },
	{ 0xeae2912a, "init_net" },
	{ 0x81b433f2, "down" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa105472a, "ibnl_put_attr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2e06523e, "__netdev_alloc_skb" },
	{ 0x4441f8c6, "ib_modify_qp" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x1c1683e0, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x5be2196, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x890bd855, "rdma_nl_register" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "906487B739154605D578A5C");
MODULE_INFO(rhelversion, "9.6");
