#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xc97868a0, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x202fddf4, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xb8e80c5e, "");
SYMBOL_CRC(rdma_res_to_id, 0x0ab886ea, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xdd56c1fc, "");
SYMBOL_CRC(rdma_create_user_id, 0x1ad74a79, "");
SYMBOL_CRC(rdma_create_qp, 0x656bcb65, "");
SYMBOL_CRC(rdma_destroy_qp, 0x35c811fb, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xe11adc10, "");
SYMBOL_CRC(rdma_destroy_id, 0xecb8f6f9, "");
SYMBOL_CRC(rdma_get_service_id, 0x65c86044, "");
SYMBOL_CRC(rdma_read_gids, 0xf1355f74, "");
SYMBOL_CRC(rdma_set_service_type, 0x56857da6, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x8486fddc, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x3f8be513, "");
SYMBOL_CRC(rdma_set_ib_path, 0x7be2fb8c, "");
SYMBOL_CRC(rdma_resolve_route, 0xa0e623d3, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x780245e8, "");
SYMBOL_CRC(rdma_set_afonly, 0xab6c8f29, "");
SYMBOL_CRC(rdma_listen, 0xbd50d1e4, "");
SYMBOL_CRC(rdma_resolve_addr, 0x53f724e6, "");
SYMBOL_CRC(rdma_bind_addr, 0xf1eb88de, "");
SYMBOL_CRC(rdma_connect_locked, 0x580e4516, "");
SYMBOL_CRC(rdma_connect, 0x4c17839b, "");
SYMBOL_CRC(rdma_connect_ece, 0x4b948222, "");
SYMBOL_CRC(rdma_accept, 0x85bdfece, "");
SYMBOL_CRC(rdma_accept_ece, 0xb5535a29, "");
SYMBOL_CRC(rdma_lock_handler, 0x4347190a, "");
SYMBOL_CRC(rdma_unlock_handler, 0xdcf3b87f, "");
SYMBOL_CRC(rdma_notify, 0x954f10d0, "");
SYMBOL_CRC(rdma_reject, 0xc82cd411, "");
SYMBOL_CRC(rdma_disconnect, 0xdf1a54e8, "");
SYMBOL_CRC(rdma_join_multicast, 0x4df4770e, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3808962e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3d7ebfa, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcb30aaf8, "iw_create_cm_id" },
	{ 0x38edb28c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc8eaac11, "ib_unregister_client" },
	{ 0x87e36b18, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3127012f, "ib_send_cm_sidr_rep" },
	{ 0x1178db45, "bpf_trace_run4" },
	{ 0x1dc2e9af, "config_group_init" },
	{ 0xa3c17331, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xaecd55b8, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe50b3e3b, "trace_raw_output_prep" },
	{ 0x14db3424, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf1a8e430, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x7d4b6d9c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3aea0be2, "rdma_query_gid" },
	{ 0xf2a42b25, "rt6_lookup" },
	{ 0xe65babd0, "rdma_translate_ip" },
	{ 0xe46dbfac, "bpf_trace_run2" },
	{ 0x6b19daba, "event_triggers_call" },
	{ 0xc690a16c, "rdma_dev_access_netns" },
	{ 0x9fcf372f, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0xd902cf2a, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbcd08c5d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xce04a414, "register_pernet_subsys" },
	{ 0x68bb5f0c, "trace_event_buffer_commit" },
	{ 0xac33d97a, "ip_mc_inc_group" },
	{ 0x80c6533f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xe5c275d2, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xe5953fee, "iw_cm_connect" },
	{ 0x50155571, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x69f8a33, "rdma_addr_cancel" },
	{ 0x6a42acbc, "trace_event_ignore_this_pid" },
	{ 0x4e17a785, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb5547929, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xda9cd2f2, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xa167bbb4, "ib_sa_path_rec_get" },
	{ 0xef346dd0, "ib_create_cm_id" },
	{ 0x720b915a, "__ip_mc_dec_group" },
	{ 0xf9cd2c05, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3edac464, "perf_trace_run_bpf_submit" },
	{ 0x7d10ec1c, "ib_init_ah_from_mcmember" },
	{ 0xf1967605, "rdma_destroy_ah_attr" },
	{ 0x1eff1a83, "ib_set_client_data" },
	{ 0xeae2912a, "init_net" },
	{ 0x767f4216, "ib_get_cached_pkey" },
	{ 0xd2f90bd0, "configfs_register_subsystem" },
	{ 0x961fdf79, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x3ddadbc3, "rdma_put_gid_attr" },
	{ 0x94315bc3, "config_group_init_type_name" },
	{ 0xe529458d, "dev_get_by_index" },
	{ 0x8e742499, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x56f5c0f, "ib_send_cm_rep" },
	{ 0x231f738e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3720b877, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x6fe961ca, "bpf_trace_run1" },
	{ 0xcd173043, "ib_destroy_qp_user" },
	{ 0xbdbd6ce0, "unregister_pernet_subsys" },
	{ 0x49c4934a, "ib_cm_init_qp_attr" },
	{ 0x6b3916a8, "_dev_warn" },
	{ 0x703d4c62, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xd98c260d, "rdma_restrack_set_name" },
	{ 0xf7428c59, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x40a5fa15, "ib_get_cached_port_state" },
	{ 0x17100898, "ib_send_cm_mra" },
	{ 0x28cb892, "rdma_restrack_del" },
	{ 0x4441f8c6, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x99e2810e, "bpf_trace_run3" },
	{ 0xe24db857, "__put_net" },
	{ 0x5c6c1afd, "rdma_restrack_parent_name" },
	{ 0x683843c1, "iw_cm_accept" },
	{ 0x5638f82, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x4db6633f, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe700dc3d, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x30283cb7, "iw_cm_init_qp_attr" },
	{ 0x5a541384, "dst_release" },
	{ 0xf6e0664b, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2ddd3804, "ib_send_cm_dreq" },
	{ 0x202c983e, "ib_send_cm_req" },
	{ 0xbc07c954, "ib_create_qp_kernel" },
	{ 0xd99b43a0, "ib_sa_join_multicast" },
	{ 0xd0da4455, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7c4a4450, "rdma_get_gid_attr" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0xf252658d, "rdma_restrack_new" },
	{ 0x43dfa6b4, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xfcfc94c7, "iw_cm_listen" },
	{ 0x995582d3, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x76c6abdf, "rdma_copy_src_l2_addr" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x6b7e0dcf, "rdma_resolve_ip" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "AC6D96B734F44DE6F657D88");
MODULE_INFO(rhelversion, "9.6");
