#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x6d92bd7d, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x58e1c38a, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x7617ff57, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xf944d11c, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x4d9a3224, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xd6e57fe7, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1374fe70, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x87215186, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xb5da51ac, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xff523578, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xe4ed663b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x55197ba9, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x3a9acd81, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xe9e368c5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xde0476eb, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x7494cc82, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xd02c939a, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x53056631, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x408ee814, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xe8b7bb07, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x3bf240f1, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x173ffbcf, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xf9439f61, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x1947ed01, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xf15b19df, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x2c82807b, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x64c5e1a9, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x2557dc98, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x941f96ed, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xc3cfd5a6, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xd68c0f5b, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x7c7991c8, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xdbb1296e, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xd8c3b2d1, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xa5d51941, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x45172254, "");
SYMBOL_CRC(mlx4_test_async, 0x8768145e, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xdee37e2a, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xaffeba90, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xe74a19be, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xf053be67, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xe8afa5a7, "");
SYMBOL_CRC(mlx4_assign_eq, 0x8eb910b8, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x0b2e468a, "");
SYMBOL_CRC(mlx4_release_eq, 0xa68b11cb, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xeb8b1cfb, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x0676d2f5, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xca034f46, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x047f0351, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x123ad8cc, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xa25ee459, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xa5233958, "");
SYMBOL_CRC(mlx4_wol_read, 0xb612208e, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x0fdc9c41, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x35f092cb, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x57fb5316, "");
SYMBOL_CRC(set_phv_bit, 0xd43e8dec, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xabe9f500, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x87637e8b, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x4bfbe4a2, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xa1f98d75, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x832af2bf, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x0853a77d, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xf7af9ce9, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xd6e18b7a, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xbabe128d, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xe566773e, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x418cb5d0, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x61fbbf99, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xf9150bf5, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x57cf4956, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xf3175106, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xc213abac, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xeb50f0a9, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x64f138f3, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x376b6a91, "");
SYMBOL_CRC(mlx4_read_clock, 0xe875a986, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xceaeb684, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xf0979092, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x593cc18c, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x111c662d, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xfc0e4896, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x546c3d5a, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xeb445c6c, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x14a61b94, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x3f9ff49a, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x5c12002a, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xc3af6d79, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xf1855f80, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x9b845bce, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xa0d0b7d9, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xedb2f765, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x777e803a, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xd73448dd, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x0b80b27d, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xeab5a29e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x1bb80d2e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xf9add489, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xba7c185b, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x002b9e2e, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x94d6e364, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x938f7bc9, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x4b86ae8b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x2208abd1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xb8f8cc8f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x24bf4aaf, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xac61ea65, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x42af2d57, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xfc98fb75, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xd32f0ea0, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x368d11b6, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xbc698e89, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x433505a7, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x23902deb, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x523dfb80, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x10eee281, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xcf44a3e3, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x030f5cdc, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xda4ac3bb, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x894c6ae4, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xc665df62, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x6f656173, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x8bcb2442, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xbe0cb67e, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xe88c5f03, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x582a5f67, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x01226b3d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x3442d106, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x27f650d5, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x3cdbffe5, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x328a44b0, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xae118891, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x740749a5, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x8f4dab98, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x12d7563f, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x913b01bf, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x3202b3d9, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xf8000117, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xd2ca55a9, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xff455c2f, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xeb9f2449, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x2e6038d1, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xc725305f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x574a788c, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x3851adb0, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x43d850aa, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x810dba11, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xbcffec5c, "");
SYMBOL_CRC(mlx4_get_module_info, 0xf65799f8, "");
SYMBOL_CRC(mlx4_max_tc, 0x25d63c9d, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x0e782390, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x4ca60bc6, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xb014883d, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa311f88a, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xaa2b39ee, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xdd6f08d4, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xf9ec051d, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xa49dfa4c, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x611c55e7, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xae18a8bd, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x5547060f, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x3346d6b7, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x6b5e50ef, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x95e0a849, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2db43ccc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4508c4e, "pcie_capability_write_word" },
	{ 0x95d0c5dd, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5b08d7fe, "devl_region_create" },
	{ 0x61be3e57, "devlink_unregister" },
	{ 0x82a605c4, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xbbebd934, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xed74e5b0, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a02ce0e, "devlink_region_snapshot_id_get" },
	{ 0xa80f4012, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd6b93dc5, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x81b48ac3, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7ab1e0fb, "param_array_ops" },
	{ 0xea0e039, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x676e6ffe, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb4eb5543, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7419b232, "devlink_register" },
	{ 0x2eae70cc, "devlink_port_type_clear" },
	{ 0x3f2e3d1b, "devlink_free" },
	{ 0x44a6e90a, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x81fd6eb1, "param_ops_byte" },
	{ 0xf40a8ec7, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x6359c4a3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x68e94639, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xfdbeae85, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xab1e79bc, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37f68156, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3c98ed7b, "put_device" },
	{ 0x94799311, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x59d3143b, "kmalloc_node_trace" },
	{ 0xea7bada, "__free_pages" },
	{ 0x65721315, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x3c9d0a36, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7732159c, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xd0a3aa85, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe273d75d, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x2e5af0d9, "_dev_err" },
	{ 0xeae2912a, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x40f07e38, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x98c6dde7, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcf5806f2, "dma_alloc_attrs" },
	{ 0xb43cdea2, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xfa42d578, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe33083fb, "pci_restore_state" },
	{ 0x25849523, "device_del" },
	{ 0xcd7224f3, "devl_param_driverinit_value_set" },
	{ 0x6b3916a8, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xdd51444f, "__alloc_pages" },
	{ 0xdd9d29ac, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xb259fa4f, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0xa394b9c6, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x2e07fa37, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xc59b89bc, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x353e912a, "param_ops_bool" },
	{ 0x5491eda7, "pci_release_regions" },
	{ 0x439026dc, "__dma_sync_single_for_device" },
	{ 0xe2053793, "devl_assert_locked" },
	{ 0xc3611cb, "pcie_print_link_status" },
	{ 0xe072f7e5, "alloc_pages" },
	{ 0x4ddc6ea7, "devl_port_unregister" },
	{ 0x96778643, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9ee35719, "devlink_priv" },
	{ 0x99bcbc5b, "pci_disable_sriov" },
	{ 0x87a73132, "pci_disable_msix" },
	{ 0x16ebce6f, "pci_disable_device" },
	{ 0x145c2aae, "dev_printk" },
	{ 0x3b867a66, "dma_set_mask" },
	{ 0xddd38dcd, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9eef011f, "dma_unmap_sg_attrs" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x84cc8b39, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x368113bd, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x34cd5606, "pci_write_config_dword" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xd0600591, "device_remove_file" },
	{ 0x89f5d849, "dma_map_sg_attrs" },
	{ 0x3e0ec62b, "devl_param_value_changed" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1265F94F4B5ED93287CCDC1");
MODULE_INFO(rhelversion, "9.6");
