#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf7c4364e, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x0a8a7fac, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x58b4cf23, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x5070eb01, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x3b7979ce, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x74207faf, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x234b4d66, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xd36c89c6, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x6dca7c67, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x26c0d806, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x36f48021, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x809e400c, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x32cfd583, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xa472457c, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x3c4d5b4b, "");
SYMBOL_CRC(nf_nat_follow_master, 0xf62344ab, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xe7127aa1, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x8f9d2fc5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x4b3ea19c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xdf77bd66, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xdbba39d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbc5dd58, "nf_ct_ext_add" },
	{ 0x6f06c467, "__do_once_done" },
	{ 0xfd18a24c, "nf_conntrack_find_get" },
	{ 0xfea639fa, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb2e461d3, "nf_ip6_checksum" },
	{ 0xda7cb5ff, "skb_copy_bits" },
	{ 0x2c1533be, "nf_hook_entries_insert_raw" },
	{ 0xc701e7c0, "xfrm_lookup" },
	{ 0xb5df7c00, "nf_ct_seqadj_set" },
	{ 0x3432f99d, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5726adef, "nf_ct_helper_expectfn_unregister" },
	{ 0x16970091, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5c36570, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6025b168, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8b21e6f3, "pskb_expand_head" },
	{ 0xce04a414, "register_pernet_subsys" },
	{ 0x74e912fe, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xbfccec44, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9629e739, "ipv6_skip_exthdr" },
	{ 0x3814575e, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe8f547d7, "module_put" },
	{ 0xd2d8fb97, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x5b6e8f9a, "nf_conntrack_alter_reply" },
	{ 0xcbc4da8a, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x29fdf6dd, "nf_hook_entries_delete_raw" },
	{ 0xc27727c1, "skb_ensure_writable" },
	{ 0x3f150567, "nf_unregister_net_hooks" },
	{ 0xa8cf5ac6, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xbdbd6ce0, "unregister_pernet_subsys" },
	{ 0x156d7bd1, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1c99e8e0, "nf_ct_delete" },
	{ 0x18c547b, "nf_ip_checksum" },
	{ 0xa5c718be, "register_btf_kfunc_id_set" },
	{ 0xbcd01750, "nf_ct_iterate_destroy" },
	{ 0xc9b4b390, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe24db857, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x49299c36, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbee7a2f, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5a541384, "dst_release" },
	{ 0x8af141d0, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x6356412d, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "C6ABB9EE939011585D104AC");
MODULE_INFO(rhelversion, "9.6");
