#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x99f4591c, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xca541308, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fde5c1c, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0x89a5b98d, "look_up_OID" },
	{ 0x56338b5b, "unregister_key_type" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xdda5fd4b, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7e98ccc9, "register_key_type" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xfa04bb8c, "crypto_destroy_tfm" },
	{ 0xcf441ba2, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3c98ed7b, "put_device" },
	{ 0xea470e18, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5946bb9, "tpm_default_chip" },
	{ 0x16997ee9, "crypto_shash_setkey" },
	{ 0xfb3d95db, "user_describe" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5861893b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xaead6618, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x1ff8381c, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x74293aa, "param_ops_charp" },
	{ 0xc4b4e678, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x91933196, "tpm_is_tpm2" },
	{ 0x82caff1e, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x927073f6, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d0942ac, "tpm_put_ops" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd031b589, "asn1_ber_decoder" },
	{ 0xe6740bb0, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "B15DD24540B9D287FF66597");
MODULE_INFO(rhelversion, "9.6");
