#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x17fbb9ce, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xabb60ca7, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x930d83e2, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x085cb917, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x3797d16d, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xcd608f24, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xad1c2428, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x37df3cbc, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x41dcef58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0x51ccc73, "_copy_to_iter" },
	{ 0x8b6c336c, "iov_iter_advance" },
	{ 0x47eb8a3, "skb_copy_datagram_iter" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x766c67b6, "cdev_init" },
	{ 0x97613432, "cdev_add" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4355aeba, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf9fe63bd, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xc4a71bfa, "netdev_err" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf44d099, "skb_push" },
	{ 0x67fdf1fb, "skb_checksum_help" },
	{ 0x9b0a7814, "__skb_gso_segment" },
	{ 0x875f3115, "kfree_skb_list_reason" },
	{ 0x5a09b504, "__skb_get_hash_net" },
	{ 0x3761d215, "idr_find" },
	{ 0xe021ccdb, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x999aeaaf, "sock_init_data_uid" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x50657fc7, "__skb_flow_dissect" },
	{ 0xea35422d, "skb_partial_csum_set" },
	{ 0x9f0c71ce, "__pskb_pull_tail" },
	{ 0x6f407e6e, "_copy_from_iter" },
	{ 0xd5402ece, "iov_iter_npages" },
	{ 0xb9b5bd67, "sock_alloc_send_pskb" },
	{ 0x3432f99d, "skb_put" },
	{ 0xc7d45a25, "zerocopy_sg_from_iter" },
	{ 0x8e2369e5, "__dev_queue_xmit" },
	{ 0x3473235e, "skb_copy_datagram_from_iter" },
	{ 0x9b15eb2a, "iov_iter_revert" },
	{ 0xda7cb5ff, "skb_copy_bits" },
	{ 0x7b5c4d59, "build_skb" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xfd015d41, "dev_set_mac_address_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf0fbcbee, "dev_get_mac_address" },
	{ 0xf6204194, "compat_ptr_ioctl" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "68798B7967D586E10B7E991");
MODULE_INFO(rhelversion, "9.6");
