#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x7e6f6452, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xc69102d4, "");
SYMBOL_CRC(team_options_register, 0x9e712f5c, "");
SYMBOL_CRC(team_options_unregister, 0x7b1580a9, "");
SYMBOL_CRC(team_option_inst_set_change, 0x524f0f6c, "");
SYMBOL_CRC(team_options_change_check, 0x8bc31b61, "");
SYMBOL_CRC(team_mode_register, 0x8bec814e, "");
SYMBOL_CRC(team_mode_unregister, 0xbbe1cb12, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe5af2348, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb0d21e82, "netlink_unicast" },
	{ 0x58791f94, "netif_carrier_on" },
	{ 0x90b8cb5a, "netif_carrier_off" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x973a3b21, "dev_set_promiscuity" },
	{ 0x34cc074a, "dev_set_allmulti" },
	{ 0xbb41814c, "dev_uc_unsync" },
	{ 0xb4cf525b, "dev_mc_unsync" },
	{ 0xad43da33, "dev_set_mtu" },
	{ 0xc4a71bfa, "netdev_err" },
	{ 0xdb9eb296, "__dynamic_netdev_dbg" },
	{ 0x5be2196, "dev_kfree_skb_any_reason" },
	{ 0x8d91553, "dev_uc_sync_multiple" },
	{ 0x68bfc737, "dev_mc_sync_multiple" },
	{ 0x1cf9918c, "vlan_vid_del" },
	{ 0x10ed88c1, "vlan_vid_add" },
	{ 0xe8f547d7, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6807e8e0, "__alloc_skb" },
	{ 0x6e1d6642, "genlmsg_put" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0x452e3bc5, "register_netdevice" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xdd11e54f, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x132dd4ec, "rtnl_link_register" },
	{ 0xc07420af, "genl_register_family" },
	{ 0x82615a76, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbb58e0c, "genl_unregister_family" },
	{ 0x8e2369e5, "__dev_queue_xmit" },
	{ 0xcd7f5950, "netpoll_send_skb" },
	{ 0xad76e10a, "netlink_broadcast_filtered" },
	{ 0x76680009, "skb_clone" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0xac8769c6, "netdev_lower_state_changed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x3f8b6e52, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4eb36765, "__netpoll_free" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x38dcc10, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe529458d, "dev_get_by_index" },
	{ 0xf00a075f, "nla_put" },
	{ 0x13cee77a, "skb_trim" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1270c7bc, "__nlmsg_put" },
	{ 0x4b9b7257, "__ethtool_get_link_ksettings" },
	{ 0x2c5f03bc, "netdev_warn" },
	{ 0xfea639fa, "try_module_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9a669bed, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x9f174825, "netdev_has_upper_dev" },
	{ 0x45f4a323, "dev_uc_flush" },
	{ 0x86fd5f6f, "dev_mc_flush" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x675d5733, "dev_open" },
	{ 0xae746c8b, "vlan_uses_dev" },
	{ 0xad8068a1, "vlan_vids_add_by_dev" },
	{ 0x51ec7f0a, "netdev_rx_handler_register" },
	{ 0x3dfd7c8f, "netdev_master_upper_dev_link" },
	{ 0x21e8201b, "netdev_upper_dev_unlink" },
	{ 0xeaa438cd, "netdev_rx_handler_unregister" },
	{  0x95cce, "vlan_vids_del_by_dev" },
	{ 0xf92e48f4, "dev_close" },
	{ 0xca176fc2, "dev_disable_lro" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1ad9af6d, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x898d8f78, "passthru_features_check" },
	{ 0x2f523a69, "ethtool_op_get_link" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "705C3AD88DCFCCD841E4641");
MODULE_INFO(rhelversion, "9.6");
