#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xa69e3b4e, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x04a9078d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4a5dde38, "fasync_helper" },
	{ 0x4144f02f, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9a669bed, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd5566ff3, "from_kgid_munged" },
	{ 0x6e7e98d8, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x50975632, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf41ea03, "dev_get_tstats64" },
	{ 0x96dcd78, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x132dd4ec, "rtnl_link_register" },
	{ 0x28b88d89, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x145ae422, "misc_deregister" },
	{ 0x82615a76, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8218f03, "xdp_return_frame" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0x58791f94, "netif_carrier_on" },
	{ 0x90b8cb5a, "netif_carrier_off" },
	{ 0xb50dbb0d, "bpf_prog_put" },
	{ 0xe021ccdb, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x999aeaaf, "sock_init_data_uid" },
	{ 0xf9fe63bd, "sk_free" },
	{ 0x51ccc73, "_copy_to_iter" },
	{ 0x47eb8a3, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8b6c336c, "iov_iter_advance" },
	{ 0xc4a71bfa, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x1c02ce03, "kill_fasync" },
	{ 0x5922769c, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9a578719, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7997c74, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x26e68029, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8f547d7, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcb11eaa6, "netdev_core_stats_alloc" },
	{ 0x1a6b6803, "xdp_do_redirect" },
	{ 0x60e6b92a, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb893be48, "__traceiter_xdp_exception" },
	{ 0xf0f3ac2c, "xdp_return_frame_rx_napi" },
	{ 0x8e1c2f69, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x55dcee1, "netif_receive_skb" },
	{ 0xf2e3d480, "napi_gro_receive" },
	{ 0x29f03f5b, "napi_complete_done" },
	{ 0x7b5c4d59, "build_skb" },
	{ 0x3432f99d, "skb_put" },
	{ 0x1a0b012f, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2eee6e05, "napi_get_frags" },
	{ 0x6aef2f56, "iov_iter_single_seg_count" },
	{ 0x8b21e6f3, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x95d0c5dd, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfb5791a3, "seq_printf" },
	{ 0x49a39ce6, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xbd04e2e7, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x110db5fe, "sk_filter_trim_cap" },
	{ 0x43916ab5, "skb_clone_tx_timestamp" },
	{ 0xa0038e6, "skb_copy_ubufs" },
	{ 0x8974e6a3, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x21a0c24c, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb197bbbd, "___pskb_trim" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0xb013c679, "netif_set_real_num_tx_queues" },
	{ 0x5e2fdfc5, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcfe73ff5, "unregister_netdevice_queue" },
	{ 0xe4f7d76d, "netdev_state_change" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x44aa203d, "__xdp_rxq_info_reg" },
	{ 0x18bba10, "xdp_rxq_info_reg_mem_model" },
	{ 0xfc22ddc8, "netif_napi_add_weight" },
	{ 0x4894aca5, "napi_enable" },
	{ 0xd02cbef7, "xdp_rxq_info_is_reg" },
	{ 0xb343d6af, "lock_sock_nested" },
	{ 0xe6e11f44, "sk_attach_filter" },
	{ 0x8285552e, "release_sock" },
	{ 0xadcc4edd, "__dev_get_by_name" },
	{ 0xd133136a, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xff1eccfa, "alloc_netdev_mqs" },
	{ 0x42b895ea, "ip_tunnel_header_ops" },
	{ 0x452e3bc5, "register_netdevice" },
	{ 0xab4b86a, "netif_tx_wake_queue" },
	{ 0xdd11e54f, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xce047ee0, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x50657fc7, "__skb_flow_dissect" },
	{ 0xea35422d, "skb_partial_csum_set" },
	{ 0x9f0c71ce, "__pskb_pull_tail" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf76abf43, "bpf_prog_get_type_dev" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x70a01975, "skb_page_frag_refill" },
	{ 0x9d73ed6e, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7838e304, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd81465d, "__folio_put" },
	{ 0x6f407e6e, "_copy_from_iter" },
	{ 0xd5402ece, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3473235e, "skb_copy_datagram_from_iter" },
	{ 0xf2e418e8, "eth_type_trans" },
	{ 0xb9b5bd67, "sock_alloc_send_pskb" },
	{ 0xc7d45a25, "zerocopy_sg_from_iter" },
	{ 0xdff96a8d, "napi_schedule_prep" },
	{ 0x8c346a27, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x862b83a, "do_xdp_generic" },
	{ 0x9b15eb2a, "iov_iter_revert" },
	{ 0xf44d099, "skb_push" },
	{ 0x3d8dcb16, "eth_get_headlen" },
	{ 0xa90f1823, "napi_gro_frags" },
	{ 0x575b61ec, "__page_frag_cache_drain" },
	{ 0x6a378c73, "get_net_ns" },
	{ 0x5dee4d97, "open_related_ns" },
	{ 0xf0fbcbee, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x73b8372c, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xe4b5328e, "sk_detach_filter" },
	{ 0x990d0f11, "make_kuid" },
	{ 0xa98a7597, "init_user_ns" },
	{ 0xdf46b4ca, "from_kuid" },
	{ 0xfd015d41, "dev_set_mac_address_user" },
	{ 0xac5c20a8, "netdev_update_features" },
	{ 0x38dcc10, "call_netdevice_notifiers" },
	{ 0xd79a7d6a, "__module_get" },
	{ 0x7d0020ee, "from_kgid" },
	{ 0x2f523a69, "ethtool_op_get_link" },
	{ 0x29868c42, "ethtool_op_get_ts_info" },
	{ 0x898d8f78, "passthru_features_check" },
	{ 0x2a1e723f, "eth_mac_addr" },
	{ 0x700c04e, "eth_validate_addr" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "574726B4473340A95D13684");
MODULE_INFO(rhelversion, "9.6");
