#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xcc923754, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x33fff790, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xbb46fede, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xd03a62ce, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x137d00c7, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x059af22f, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xc51bab16, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfaaf19c4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xdf93ab69, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x0b58ca3a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x85575a6c, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x7c989023, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x4b1998fa, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x9ca5f8e9, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xef274a13, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xb7660603, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb6363396, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x3a9e3658, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xa28f28f1, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xf03640f3, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xe649eca8, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x86cd0039, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x4f129e6d, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x409b41ec, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x1c823835, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xc5045a68, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x4ccad0e1, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x7f36ceae, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xcf2b624c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xb1c58312, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x5de1095e, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xbdcede95, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xa54debe8, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x927534ee, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x4a96cfbe, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xa1d93f9b, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x85db9f20, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x1885aa39, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xc16bc08a, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x5097d39d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x10f4b2b7, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x6522e2a8, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x71b12bab, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x956edca1, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x4a5b0e3d, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x359d47f6, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xf5205500, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x95f5f74e, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x25c04d09, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xead9c43f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x7e55f75a, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xa0f6d42c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x21f0b8fb, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xea0ee1a7, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x956f597b, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xfb1640bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x4be9e41c, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x499bf07a, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xc9ac1780, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xcf8280a9, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x7667fee2, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x94ed41e3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f5e8e18, "set_capacity_and_notify" },
	{ 0xc2b3aa53, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1b57d660, "set_disk_ro" },
	{ 0xba57e38f, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xfea639fa, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x95d0c5dd, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1c7ea1a8, "bio_integrity_map_user" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x35a78dcf, "device_remove_file_self" },
	{ 0x414c770a, "param_ops_uint" },
	{ 0xd72d7d5d, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe31531dd, "dev_set_name" },
	{ 0x579b9f18, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0x4a8c640a, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe50b3e3b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4ff61468, "blk_mq_tagset_wait_completed_request" },
	{ 0x90a4ff67, "cdev_device_del" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x93b1991c, "queue_limits_stack_bdev" },
	{ 0xf1a8e430, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0xa7bab77f, "device_initialize" },
	{ 0xabd3f86b, "blk_mq_unquiesce_queue" },
	{ 0x8090251e, "blk_mq_quiesce_queue" },
	{ 0x7d4b6d9c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd0160d94, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x21edad70, "__traceiter_block_bio_remap" },
	{ 0x20017fb9, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe46dbfac, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x46f79d0a, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x6b19daba, "event_triggers_call" },
	{ 0x8bb4089d, "synchronize_srcu" },
	{ 0x81fd6eb1, "param_ops_byte" },
	{ 0x82e31f6f, "kmem_cache_create" },
	{ 0xf40a8ec7, "get_device" },
	{ 0x6f167db6, "blk_mq_end_request" },
	{ 0xf04d3d57, "__blk_mq_alloc_disk" },
	{ 0x3f331802, "__dynamic_dev_dbg" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3d635131, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x72dfca13, "blk_mq_alloc_tag_set" },
	{ 0x99ec48cc, "blk_rq_is_poll" },
	{ 0x68bb5f0c, "trace_event_buffer_commit" },
	{ 0xfa04bb8c, "crypto_destroy_tfm" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9f53826, "mempool_create" },
	{ 0xe9338a3b, "put_disk" },
	{ 0xb78d3ad0, "crypto_alloc_kpp" },
	{ 0xd2996785, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa35d40c6, "blk_execute_rq" },
	{ 0x3c98ed7b, "put_device" },
	{ 0x6a42acbc, "trace_event_ignore_this_pid" },
	{ 0xf26de0c8, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x59d3143b, "kmalloc_node_trace" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x80c8f933, "blk_mq_free_request" },
	{ 0xea7bada, "__free_pages" },
	{ 0x65721315, "_dev_info" },
	{ 0x8af299ec, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe8f547d7, "module_put" },
	{ 0x87c2622, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x69fdb143, "nvme_auth_gen_pubkey" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf6204194, "compat_ptr_ioctl" },
	{ 0x2b58d6e5, "blk_rq_poll" },
	{ 0x5847e851, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1b95910a, "kobject_uevent_env" },
	{ 0x8240274a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x213cb2df, "init_srcu_struct" },
	{ 0x3edac464, "perf_trace_run_bpf_submit" },
	{ 0x2e5af0d9, "_dev_err" },
	{ 0xa5998a32, "blk_revalidate_disk_zones" },
	{ 0x16997ee9, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe404880e, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x55c805ac, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8e94f1ac, "sysfs_remove_link" },
	{ 0x8919902e, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe1c5965c, "__srcu_read_lock" },
	{ 0xd11e5997, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x91c010bb, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcdf6ebde, "blk_sync_queue" },
	{ 0xe22711b1, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x231f738e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc605686, "blk_mq_alloc_request_hctx" },
	{ 0xb4433a0b, "__io_uring_cmd_do_in_task" },
	{ 0x51720da, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1ff8381c, "crypto_shash_update" },
	{ 0x76db99cb, "class_unregister" },
	{ 0xa331317c, "blk_mq_free_tag_set" },
	{ 0x1f1ac214, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x83220127, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x584b13f9, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x5efe3100, "blk_put_queue" },
	{ 0x6fe961ca, "bpf_trace_run1" },
	{ 0x25849523, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x6b3916a8, "_dev_warn" },
	{ 0x856e01bb, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x5c2014c3, "io_uring_cmd_done" },
	{ 0x778142e7, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8ec354a4, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x99e2810e, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x954c6674, "blk_mq_complete_request" },
	{ 0x9119f313, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5638f82, "trace_event_buffer_reserve" },
	{ 0x82caff1e, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x353e912a, "param_ops_bool" },
	{ 0x58554ab7, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xe87d1563, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xe072f7e5, "alloc_pages" },
	{ 0x266294c, "mempool_destroy" },
	{ 0x177de15c, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd91cf7e5, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x669e14a9, "blk_mq_unfreeze_queue" },
	{ 0x78d4aee8, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x84c9f541, "queue_limits_commit_update" },
	{ 0xe73a0fbd, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9a391744, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x56922be0, "blk_mark_disk_dead" },
	{ 0xb0bbb977, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe6740bb0, "crypto_alloc_shash" },
	{ 0x98452539, "blk_mq_freeze_queue_wait" },
	{ 0x1b4d7ebd, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x234bb0eb, "blk_mq_requeue_request" },
	{ 0xaf1906db, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x766c67b6, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x72bf1d31, "bdev_end_io_acct" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x8feaed78, "blk_steal_bios" },
	{ 0xe5048bb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0FFC8A7F674DE6247B0757F");
MODULE_INFO(rhelversion, "9.6");
