#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_s390_zcrypt_req, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__tracepoint_s390_zcrypt_rep, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_rep, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_rep, "", "");
KSYMTAB_FUNC(zcrypt_msgtype, "", "");
KSYMTAB_FUNC(zcrypt_send_cprb, "", "");
KSYMTAB_FUNC(zcrypt_send_ep11_cprb, "", "");
KSYMTAB_FUNC(zcrypt_device_status_mask_ext, "", "");
KSYMTAB_FUNC(zcrypt_device_status_ext, "", "");
KSYMTAB_FUNC(zcrypt_wait_api_operational, "", "");
KSYMTAB_FUNC(zcrypt_card_alloc, "", "");
KSYMTAB_FUNC(zcrypt_card_free, "", "");
KSYMTAB_FUNC(zcrypt_card_get, "", "");
KSYMTAB_FUNC(zcrypt_card_put, "", "");
KSYMTAB_FUNC(zcrypt_card_register, "", "");
KSYMTAB_FUNC(zcrypt_card_unregister, "", "");
KSYMTAB_FUNC(zcrypt_queue_alloc, "", "");
KSYMTAB_FUNC(zcrypt_queue_free, "", "");
KSYMTAB_FUNC(zcrypt_queue_get, "", "");
KSYMTAB_FUNC(zcrypt_queue_put, "", "");
KSYMTAB_FUNC(zcrypt_queue_register, "", "");
KSYMTAB_FUNC(zcrypt_queue_unregister, "", "");
KSYMTAB_FUNC(cca_check_secaeskeytoken, "", "");
KSYMTAB_FUNC(cca_check_secaescipherkey, "", "");
KSYMTAB_FUNC(cca_check_sececckeytoken, "", "");
KSYMTAB_FUNC(cca_genseckey, "", "");
KSYMTAB_FUNC(cca_clr2seckey, "", "");
KSYMTAB_FUNC(cca_sec2protkey, "", "");
KSYMTAB_FUNC(cca_gencipherkey, "", "");
KSYMTAB_FUNC(cca_clr2cipherkey, "", "");
KSYMTAB_FUNC(cca_cipher2protkey, "", "");
KSYMTAB_FUNC(cca_ecc2protkey, "", "");
KSYMTAB_FUNC(cca_query_crypto_facility, "", "");
KSYMTAB_FUNC(cca_get_info, "", "");
KSYMTAB_FUNC(cca_findcard, "", "");
KSYMTAB_FUNC(cca_findcard2, "", "");
KSYMTAB_FUNC(ep11_kb_wkvp, "", "");
KSYMTAB_FUNC(ep11_check_aes_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_ecc_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_aes_key, "", "");
KSYMTAB_FUNC(ep11_get_card_info, "", "");
KSYMTAB_FUNC(ep11_get_domain_info, "", "");
KSYMTAB_FUNC(ep11_genaeskey, "", "");
KSYMTAB_FUNC(ep11_clr2keyblob, "", "");
KSYMTAB_FUNC(ep11_kblob2protkey, "", "");
KSYMTAB_FUNC(ep11_findcard2, "", "");

SYMBOL_CRC(__tracepoint_s390_zcrypt_req, 0xde81d722, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_req, 0x85ca4e1d, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_req, 0x17a7ba6e, "");
SYMBOL_CRC(__tracepoint_s390_zcrypt_rep, 0xc79ae663, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_rep, 0x404502d2, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_rep, 0x0ebc8b2f, "");
SYMBOL_CRC(zcrypt_msgtype, 0x6dc640a8, "");
SYMBOL_CRC(zcrypt_send_cprb, 0x0327b454, "");
SYMBOL_CRC(zcrypt_send_ep11_cprb, 0xfa128312, "");
SYMBOL_CRC(zcrypt_device_status_mask_ext, 0x9032dd84, "");
SYMBOL_CRC(zcrypt_device_status_ext, 0xa54284be, "");
SYMBOL_CRC(zcrypt_wait_api_operational, 0xa502c213, "");
SYMBOL_CRC(zcrypt_card_alloc, 0xe99162d8, "");
SYMBOL_CRC(zcrypt_card_free, 0x8e46b469, "");
SYMBOL_CRC(zcrypt_card_get, 0x52e9f62a, "");
SYMBOL_CRC(zcrypt_card_put, 0xecf707f5, "");
SYMBOL_CRC(zcrypt_card_register, 0x63c63df5, "");
SYMBOL_CRC(zcrypt_card_unregister, 0xe02ca79b, "");
SYMBOL_CRC(zcrypt_queue_alloc, 0x6be36f7b, "");
SYMBOL_CRC(zcrypt_queue_free, 0xb5feb290, "");
SYMBOL_CRC(zcrypt_queue_get, 0x3e1eba6f, "");
SYMBOL_CRC(zcrypt_queue_put, 0xe008f9fc, "");
SYMBOL_CRC(zcrypt_queue_register, 0x41d055e0, "");
SYMBOL_CRC(zcrypt_queue_unregister, 0x8c42d65e, "");
SYMBOL_CRC(cca_check_secaeskeytoken, 0x862b06af, "");
SYMBOL_CRC(cca_check_secaescipherkey, 0xb62f0607, "");
SYMBOL_CRC(cca_check_sececckeytoken, 0xf8976ca6, "");
SYMBOL_CRC(cca_genseckey, 0x5e050fdf, "");
SYMBOL_CRC(cca_clr2seckey, 0x9992a66f, "");
SYMBOL_CRC(cca_sec2protkey, 0x52190334, "");
SYMBOL_CRC(cca_gencipherkey, 0x4aad03c0, "");
SYMBOL_CRC(cca_clr2cipherkey, 0xea54d73e, "");
SYMBOL_CRC(cca_cipher2protkey, 0xc3ee9fa0, "");
SYMBOL_CRC(cca_ecc2protkey, 0xec693119, "");
SYMBOL_CRC(cca_query_crypto_facility, 0xc20af440, "");
SYMBOL_CRC(cca_get_info, 0x314aed2b, "");
SYMBOL_CRC(cca_findcard, 0x2dc30fe9, "");
SYMBOL_CRC(cca_findcard2, 0x1360e3df, "");
SYMBOL_CRC(ep11_kb_wkvp, 0xe741c8e5, "");
SYMBOL_CRC(ep11_check_aes_key_with_hdr, 0x96933573, "");
SYMBOL_CRC(ep11_check_ecc_key_with_hdr, 0xb1992474, "");
SYMBOL_CRC(ep11_check_aes_key, 0xc2ffb90b, "");
SYMBOL_CRC(ep11_get_card_info, 0xee077284, "");
SYMBOL_CRC(ep11_get_domain_info, 0xc0c976b6, "");
SYMBOL_CRC(ep11_genaeskey, 0x2d7f789b, "");
SYMBOL_CRC(ep11_clr2keyblob, 0x0b198dc8, "");
SYMBOL_CRC(ep11_kblob2protkey, 0xdb0adadb, "");
SYMBOL_CRC(ep11_findcard2, 0x274ee02a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfea639fa, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x145ae422, "misc_deregister" },
	{ 0x58f31f10, "hwrng_unregister" },
	{ 0x77bc13a0, "strim" },
	{ 0xe31531dd, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xe50b3e3b, "trace_raw_output_prep" },
	{ 0x9471263f, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xd4281a1b, "class_destroy" },
	{ 0xf1a8e430, "trace_event_printf" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x641c937d, "debug_set_level" },
	{ 0xf313b939, "debug_register" },
	{ 0x7d4b6d9c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe46dbfac, "bpf_trace_run2" },
	{ 0x6b19daba, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf40a8ec7, "get_device" },
	{ 0xee83468a, "ap_bus_force_rescan" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe006fd25, "class_create_file_ns" },
	{ 0x711e1491, "ap_perms" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfbd0eec3, "hwrng_register" },
	{ 0x68bb5f0c, "trace_event_buffer_commit" },
	{ 0x7bd7dfd0, "ap_test_config_usage_domain" },
	{ 0x92997ed8, "_printk" },
	{ 0xd5e90454, "ap_domain_index" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3c98ed7b, "put_device" },
	{ 0x6a42acbc, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe8f547d7, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x97613432, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3edac464, "perf_trace_run_bpf_submit" },
	{ 0x7f00bd24, "ap_wait_apqn_bindings_complete" },
	{ 0x4976cc03, "bpf_trace_run5" },
	{ 0xcfc72e67, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x231f738e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x45acaa, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7e4412da, "ap_queue_message" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2909bc4d, "__debug_sprintf_event" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc488e004, "ap_cancel_message" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x8f0b49e9, "device_register" },
	{ 0xa1340b5c, "device_match_devt" },
	{ 0x970f17a7, "ap_parse_mask_str" },
	{ 0x28b88d89, "misc_register" },
	{ 0x8a2bdfa7, "ap_send_online_uevent" },
	{ 0x5109d2ad, "ap_flush_queue" },
	{ 0x7661a86e, "sysfs_remove_group" },
	{ 0xecf6801f, "debug_unregister" },
	{ 0x70f81b56, "ap_max_msg_size" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5638f82, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x562b9be5, "ap_test_config_ctrl_domain" },
	{ 0xc9a448d7, "device_match_name" },
	{ 0x5003d52a, "ap_perms_mutex" },
	{ 0xb084d362, "ap_is_se_guest" },
	{ 0xb5161adb, "stream_open" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x5ae182fa, "debug_sprintf_view" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3af364c6, "debug_register_view" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x766c67b6, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0x6764afb6, "class_remove_file_ns" },
	{ 0x4355aeba, "cdev_del" },
	{ 0xb980f8f6, "class_find_device" },
	{ 0x65607921, "ap_queue_usable" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9DE7C4CB281A91887DC582");
MODULE_INFO(rhelversion, "9.6");
