#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x2d527d90, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xec7761c9, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x3a1e9a8b, "");
SYMBOL_CRC(vcc_insert_socket, 0xca865597, "");
SYMBOL_CRC(vcc_release_async, 0x11a28c8a, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x6bdb41fc, "");
SYMBOL_CRC(atm_dev_signal_change, 0xf1935f48, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x9513f698, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x70b14824, "");
SYMBOL_CRC(atm_alloc_charge, 0xf0cd7ac5, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x5cb700bd, "");
SYMBOL_CRC(atm_dev_lookup, 0xe8bb5c99, "");
SYMBOL_CRC(atm_dev_register, 0x560de9f3, "");
SYMBOL_CRC(atm_dev_deregister, 0x54b7c319, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc369e26a, "skb_free_datagram" },
	{ 0xfea639fa, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3432f99d, "skb_put" },
	{ 0xe31531dd, "dev_set_name" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb0a16ef, "skb_dequeue" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xaa1928d5, "proc_create_data" },
	{ 0x34846b7a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5922769c, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb59de019, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x142f976d, "sock_register" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c98ed7b, "put_device" },
	{ 0x6807e8e0, "__alloc_skb" },
	{ 0xb7b64ed7, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x33b0cfb5, "skb_queue_tail" },
	{ 0xe8f547d7, "module_put" },
	{ 0xa42ffef6, "__sock_recv_ts_and_drops" },
	{ 0x3c9d0a36, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xeae2912a, "init_net" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0x2f27dea9, "noop_llseek" },
	{ 0xf9fe63bd, "sk_free" },
	{ 0x48990914, "sock_wake_async" },
	{ 0x6a383d, "sock_no_accept" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7243688f, "sock_no_listen" },
	{ 0x4d1e84ae, "seq_putc" },
	{ 0x76db99cb, "class_unregister" },
	{ 0xb343d6af, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x47eb8a3, "skb_copy_datagram_iter" },
	{ 0xe021ccdb, "sk_alloc" },
	{ 0x8f0b49e9, "device_register" },
	{ 0x25849523, "device_del" },
	{ 0x29cb200b, "sock_no_socketpair" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x78e9cfa8, "sock_no_mmap" },
	{ 0xe454c5a3, "sock_no_sendpage" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc4377468, "skb_recv_datagram" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xed8e5154, "remove_proc_entry" },
	{ 0xfb5791a3, "seq_printf" },
	{ 0x6f407e6e, "_copy_from_iter" },
	{ 0x3e8e29df, "seq_puts" },
	{ 0x619b01e5, "sock_gettstamp" },
	{ 0x63b9932, "_proc_mkdir" },
	{ 0x90b0f751, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x5be2196, "dev_kfree_skb_any_reason" },
	{ 0x9b15eb2a, "iov_iter_revert" },
	{ 0x7d97b603, "proc_create_seq_private" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xaf1906db, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x860f1b5a, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xd0600591, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8285552e, "release_sock" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4B6272A11C0EAEF3BF17F0");
MODULE_INFO(rhelversion, "9.6");
