#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x7732486e, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x5ab25906, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xe08b3a52, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xe64f94ac, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x7d4ff104, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xfefe60db, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x471471c9, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x40210639, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x47dc8c3d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x6525bafc, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xe6942b23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xce04a414, "register_pernet_subsys" },
	{ 0xfb5791a3, "seq_printf" },
	{ 0x3e8e29df, "seq_puts" },
	{ 0xbdbd6ce0, "unregister_pernet_subsys" },
	{ 0x3814575e, "nf_register_net_hooks" },
	{ 0x3f150567, "nf_unregister_net_hooks" },
	{ 0xed8e5154, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xb80a063f, "__nf_ip6_route" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0xc701e7c0, "xfrm_lookup" },
	{ 0x423db3b1, "ip6_local_out" },
	{ 0xc27727c1, "skb_ensure_writable" },
	{ 0xbee7a2f, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xc86112ad, "nf_ct_tmpl_alloc" },
	{ 0xcbc5dd58, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xef9750da, "proc_create_net_data" },
	{ 0x75f0e0cb, "nf_ct_tmpl_free" },
	{ 0xda7cb5ff, "skb_copy_bits" },
	{ 0xcbc4da8a, "ip_route_me_harder" },
	{ 0xce5451af, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6807e8e0, "__alloc_skb" },
	{ 0x3432f99d, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0x9629e739, "ipv6_skip_exthdr" },
	{ 0x279d7244, "nf_ct_seqadj_init" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "7F576D24BD6825D4349A67E");
MODULE_INFO(rhelversion, "9.6");
