#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x92c54a02, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x63e5506a, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x8a394b18, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x8f83ec68, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x33850fc2, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x1216b24b, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x2c357e02, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x0d6a087d, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x4c39ef0a, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x90bfb2a4, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x54b0773c, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x6795f61b, "");
SYMBOL_CRC(key_type_rxrpc, 0x9977ec0f, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xbafcae0d, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x241b2797, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xf3fce1da, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x6535d17e, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xb41f46c8, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x21bcd576, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x4034e711, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x9a07e217, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xc2cb8e6f, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xa403abd8, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x45a21a84, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb01fba56, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x95d0c5dd, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x43d6ca6f, "key_alloc" },
	{ 0x1178db45, "bpf_trace_run4" },
	{ 0xda7cb5ff, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x414c770a, "param_ops_uint" },
	{ 0xa851e230, "register_net_sysctl" },
	{ 0x84dcb0c0, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe50b3e3b, "trace_raw_output_prep" },
	{ 0xdac20990, "udp_sock_create4" },
	{ 0x3fb074fc, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb0a16ef, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf1a8e430, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0xc84789ff, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xcc5a74f8, "udpv6_sendmsg" },
	{ 0x56338b5b, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7d4b6d9c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b4ca888, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xe46dbfac, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x6b19daba, "event_triggers_call" },
	{ 0xd7fea107, "crypto_skcipher_setkey" },
	{ 0xba94d210, "ip_route_output_flow" },
	{ 0x82e31f6f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xae762380, "key_instantiate_and_link" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x7e98ccc9, "register_key_type" },
	{ 0xef9750da, "proc_create_net_data" },
	{ 0x6a4ddea6, "put_cmsg" },
	{ 0x9197a28a, "wake_up_process" },
	{ 0x68bb5f0c, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xfa04bb8c, "crypto_destroy_tfm" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb59de019, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x142f976d, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a42acbc, "trace_event_ignore_this_pid" },
	{ 0x1fe90c7a, "crypto_skcipher_decrypt" },
	{ 0x990d0f11, "make_kuid" },
	{ 0x17c5048d, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x7f66f4b1, "kmem_cache_alloc" },
	{ 0xb7b64ed7, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x33b0cfb5, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xe6f3c772, "__sock_recv_timestamp" },
	{ 0x62cf05a2, "key_put" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3edac464, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xeae2912a, "init_net" },
	{ 0x92d703ef, "skb_pull" },
	{ 0x6762e507, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0xe38f359c, "sock_enable_timestamps" },
	{ 0xcc833fb2, "ip_sock_set_mtu_discover" },
	{ 0x888f2e71, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0x4976cc03, "bpf_trace_run5" },
	{ 0xf9fe63bd, "sk_free" },
	{ 0x48990914, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3e10851c, "kernel_sock_shutdown" },
	{ 0x6a383d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x50497aa3, "kmem_cache_free" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x231f738e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x39bf2c2f, "iov_iter_kvec" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x5518e9a5, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xb343d6af, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50a20880, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x47eb8a3, "skb_copy_datagram_iter" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x96da65e0, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe021ccdb, "sk_alloc" },
	{ 0x6fe961ca, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc55c2827, "__sock_recv_wifi_status" },
	{ 0x29cb200b, "sock_no_socketpair" },
	{ 0x9ec0236e, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x78e9cfa8, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x7a6467dc, "key_validate" },
	{ 0xe454c5a3, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd815275b, "crypto_alloc_sync_skcipher" },
	{ 0x47b5edec, "setup_udp_tunnel_sock" },
	{ 0xc739100a, "proc_remove" },
	{ 0x5d3f09d0, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0xaa81432c, "kthread_create_on_node" },
	{ 0x99e2810e, "bpf_trace_run3" },
	{ 0x575b61ec, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5638f82, "trace_event_buffer_reserve" },
	{ 0x41644b29, "keyring_search" },
	{ 0x7f4321ef, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9e629981, "request_key_tag" },
	{ 0xef5e475c, "generic_key_instantiate" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe48dfde3, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb5791a3, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x5edfe5e6, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x76680009, "skb_clone" },
	{ 0x5a541384, "dst_release" },
	{ 0x6f407e6e, "_copy_from_iter" },
	{ 0x615585a4, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x3e8e29df, "seq_puts" },
	{ 0x493209d6, "sock_no_ioctl" },
	{ 0x63b9932, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xf73a2961, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xeb626bf, "bpf_trace_run7" },
	{ 0x9b15eb2a, "iov_iter_revert" },
	{ 0xb120811a, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xba8c7b8a, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x26a12151, "register_pernet_device" },
	{ 0x960afda, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x860f1b5a, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1054957d, "kmalloc_caches" },
	{ 0xe5048bb, "kmem_cache_destroy" },
	{ 0x8285552e, "release_sock" },
	{ 0x57cfb294, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf961fa31, "proc_create_net_single_write" },
	{ 0x6662eda, "crypto_alloc_skcipher" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x1bc817b7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BD919FDACC290C82D8889A7");
MODULE_INFO(rhelversion, "9.6");
